import { ProcfileReconciler } from './ProcfileReconciler';
import { CategoryReg, Entry } from '../domain';
import { AppletRepresentationChainModifier } from './AppletRepresentationChainModifier';
import { ServiceRepresentationChainModifier } from './ServiceRepresentationChainModifier';
import { ProcessRepresentationChainModifier } from './ProcessRepresentationChainModifier';
/**
 * Class ProcfileReconcilerAccessor
 * A easy way to access ProcfileReconciler
 */
export declare class ProcfileReconcilerAccessor {
    private procfileReconciler;
    readonly appName: string;
    readonly appDir: string;
    constructor(procfileReconciler: ProcfileReconciler);
    defaultAppletCategory(name: CategoryReg): void;
    defaultServiceCategory(name: CategoryReg): void;
    /**
     * Inject environment class
     * @param {Entry} entry
     */
    environment(entry: Entry): void;
    /**
     * inject configurator class
     * @param {Entry} entry
     */
    configurator(entry: Entry): void;
    /**
     * define process
     * @param processName
     * @return {ProcessRepresentationChainModifier}
     */
    process(processName: any): ProcessRepresentationChainModifier;
    /**
     * Define fork a process
     * @param entryFile
     * @param processName
     * @return {ProcessRepresentationChainModifier}
     */
    fork(entryFile: any, processName: any): ProcessRepresentationChainModifier;
    /**
     * Inject applet class
     * @param appletEntry
     * @return {AppletRepresentationChainModifier}
     */
    applet(appletEntry: any): AppletRepresentationChainModifier;
    /**
     * Inject service class
     * @param serviceEntry
     * @return {ServiceRepresentationChainModifier}
     */
    service(serviceEntry: any): ServiceRepresentationChainModifier;
    /**
     * An alias to applet()
     * @param path
     * @return {AppletRepresentationChainModifier}
     */
    cluster(path: any): AppletRepresentationChainModifier;
}
