import { DefaultConfigurator } from './universal/DefaultConfigurator';
import { ProcfileReconcilerAccessor } from './application/ProcfileReconcilerAccessor';
declare const _default: {
    environment: any;
    configurator: typeof DefaultConfigurator;
    procfile(pandora: ProcfileReconcilerAccessor): void;
    logger: {
        logsDir: string;
        appLogger: {
            stdoutLevel: string;
            level: string;
        };
        daemonLogger: {
            stdoutLevel: string;
            level: string;
        };
    };
    metricsServer: any;
    metricsClient: any;
    actuator: {
        http: {
            enabled: boolean;
            port: number;
        };
        endPoints: {
            error: {
                enabled: boolean;
                target: any;
                resource: any;
                initConfig: {
                    cacheSize: number;
                };
            };
            health: {
                enabled: boolean;
                target: any;
                resource: any;
                initConfig: {
                    port: {
                        enabled: boolean;
                        checkUrl: string;
                    };
                    disk_space: {
                        enabled: boolean;
                        rate: number;
                    };
                };
            };
            info: {
                enabled: boolean;
                target: any;
                resource: any;
            };
            process: {
                enabled: boolean;
                target: any;
                resource: any;
            };
            metrics: {
                enabled: boolean;
                target: any;
                resource: any;
                initConfig: {
                    collector: any;
                };
            };
            trace: {
                enabled: boolean;
                target: any;
                resource: any;
                initConfig: {
                    cacheSize: number;
                    rate: number;
                };
            };
        };
    };
    hook: {
        eggLogger: {
            enabled: boolean;
            target: any;
        };
        urllib: {
            enabled: boolean;
            target: any;
        };
        bluebird: {
            enabled: boolean;
            target: any;
        };
        http: {
            enabled: boolean;
            target: any;
        };
    };
    reporter: {
        file: {
            enabled: boolean;
            target: any;
            interval: number;
            initConfig: {
                collector: any;
            };
        };
    };
};
export default _default;
